Portal Dashboard - display browser/version used
Closed, ResolvedPublic3 Story Points

Description

We'd like to add another "view" into the Portal Dashboard to display the type and version of browser that our users are using to get to the portal page.

This story is to display the results that the algorithm captured so that we can be aware of what browsers our users use most.

The display can be done in a table format (not needed as a graph) and can be sorted by several variables like by day, by week, by month, by browser.

debt created this task.Jan 26 2016, 9:20 PM
debt updated the task description. (Show Details)
debt raised the priority of this task from to Normal.
debt added subscribers: debt, Ironholds, mpopov, Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2016, 9:20 PM
Deskana moved this task from Analysis to On Sprint Board on the Discovery board.Feb 2 2016, 8:59 PM

It's not terribly useful to display a flat list of versions, because you'll get caught in details and miss the bigger picture. @Ironholds said the user agent parser splits things into major and minor versions, so that you can see the bigger picture. That would be more helpful. :)

debt added a comment.Feb 2 2016, 10:58 PM

Perfect! :)

Ironholds set Security to None.Feb 4 2016, 8:01 PM
Ironholds edited a custom field.
Ironholds claimed this task.
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Minor versions would massively increase the size of the dataset. Should I read the above as "major versions only" or "major and minor, split"?

Given what this data is to be used for, I think major versions only would be fine. Thoughts, @debt?

debt added a comment.Feb 6 2016, 12:30 AM

Yup, @Ironholds @Deskana - major versions only. Unless it narrows the field down too much.

@Ironholds is out until the end of next week; we've chosen to just to leave this task here in "in progress" even though it's not being worked on because we think that's minimally confusing. @mpopov may pick this up.

mpopov claimed this task.Feb 17 2016, 8:17 PM

Change 271441 had a related patch set uploaded (by Bearloga):
Adds browser breakdown

https://gerrit.wikimedia.org/r/271441

Progress update:

Example of filtering:

Looking pretty awesome!

Change 271441 merged by OliverKeyes:
Adds browser breakdown

https://gerrit.wikimedia.org/r/271441

Change 271822 had a related patch set uploaded (by Bearloga):
Deploy all bunch of cool stuff

https://gerrit.wikimedia.org/r/271822

Change 271822 merged by OliverKeyes:
Deploy all bunch of cool stuff

https://gerrit.wikimedia.org/r/271822

Deskana closed this task as Resolved.Feb 19 2016, 10:37 PM

Deployed. Yay!